Bug 14779 - reviewswaiting.pl paging is not working
Summary: reviewswaiting.pl paging is not working
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Blou
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-03 14:43 UTC by Blou
Modified: 2016-06-21 21:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14779 - Cannot paginate reviews (2.08 KB, patch)
2015-09-03 14:47 UTC, Blou
Details | Diff | Splinter Review
[Signed-off] Bug 14779 - Cannot paginate reviews (2.27 KB, patch)
2015-09-04 13:21 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14779 - Cannot paginate reviews (2.33 KB, patch)
2015-09-04 13:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Blou 2015-09-03 14:43:06 UTC
When having more than 20 (or numSearchResults) reviews waiting to be approved in <site>/cgi-bin/koha/reviews/reviewswaiting.pl?status=1, the paging at the bottom only offset by 1 entry, instead of moving a full page (20 entries) ahead.

TEST:
1) Modify numSearchResult preference to a low (5?) value.
2) create X comments, where X is greater than the value above.
3) approve them all (although this step is probably unnecessary)
4) Go to tools >> comments (approved comments tab)
5) You see X entries.  Click on page 2 at bottom.  Link should show "offset=2")
6) You get same results, except the first one which "slided out".
Comment 1 Blou 2015-09-03 14:47:35 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-09-04 13:21:29 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-09-04 13:43:39 UTC
Created attachment 42399 [details] [review]
Bug 14779 - Cannot paginate reviews

When having more than 20 (or numSearchResults) reviews waiting to be approved in <site>/cgi-bin/koha/reviews/reviewswaiting.pl?status=1,
the paging at the bottom only offset by 1 entry, instead of moving a full page (20 entries) ahead.

The simple fix uses 'page' instead of 'offset'.

TEST:
1) Modify numSearchResult preference to a low (5?) value.
2) create X comments, where X is greater than the value above.
3) approve them all (although this step is probably unnecessary)
4) Go to tools >> comments (approved comments tab)
5) You see X entries.  Click on page 2 at bottom.  Link should show "offset=2")
6) You get same results, except the first one which "slided out".

Apply patch, redo step 4-5.

With patch, paging works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-09-07 14:57:50 UTC
Patch pushed to master.

Thanks Blou!